public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Stepan Broz <sbroz@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: power-profiles-daemon-and-similari: adjust RHEL-100718 relevancy
Date: Fri, 11 Sep 2026 13:23:26 GMT	[thread overview]
Message-ID: <178913300659.1.4783327201548491590.tests-selinux-06e24b7df478@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 06e24b7df4781e130f96ea3a37d158b1e6c8aa07
            Author : Stepan Broz <sbroz@redhat.com>
            Date   : 2025-11-18T14:16:16+00:00
            Stats  : +14/-8 in 1 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/06e24b7df4781e130f96ea3a37d158b1e6c8aa07?branch=pr775-checkpolicy-revdeps

            Log:
            power-profiles-daemon-and-similari: adjust RHEL-100718 relevancy

Do not test this phase under RHEL-9.7 as it was only fixed there.

---
diff --git a/selinux-policy/power-profiles-daemon-and-similar/runtest.sh b/selinux-policy/power-profiles-daemon-and-similar/runtest.sh
index d2bd088..1a7b2b1 100755
--- a/selinux-policy/power-profiles-daemon-and-similar/runtest.sh
+++ b/selinux-policy/power-profiles-daemon-and-similar/runtest.sh
@@ -74,6 +74,7 @@ rlJournalStart
     rlPhaseEnd
     fi
 
+    if ! rlIsRHEL '<9.7'; then
     rlPhaseStartTest "RHEL-100718"
         if [ -d /sys/devices/system/cpu/cpufreq ] ; then
             for CUR_FILE in `find /sys/devices/system/cpu/cpufreq -type f -name energy_performance_preference` ; do
@@ -83,6 +84,7 @@ rlJournalStart
         fi
         rlSESearchRule "allow powerprofiles_t fs_t : filesystem { getattr } [ ]"
     rlPhaseEnd
+    fi
 
     if [ -f /usr/lib/systemd/system/${SERVICE_NAME}.service ] ; then
     rlPhaseStartTest "real scenario -- standalone service"
@@ -92,16 +94,20 @@ rlJournalStart
         rlRun "powerprofilesctl version"
         rlRun "restorecon -Rv /etc /run /var -e /var/ARTIFACTS" 0-255
         rlSEService - ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "restart status" 1
-        ORIG_PROFILE=`powerprofilesctl get`
-        if echo ${ORIG_PROFILE} | grep -q balanced ; then
-            rlRun "powerprofilesctl set power-saver" 0,1
+        if ! rlIsRHEL '<9.7' ; then
+            ORIG_PROFILE=`powerprofilesctl get`
+            if echo ${ORIG_PROFILE} | grep -q balanced ; then
+                rlRun "powerprofilesctl set power-saver" 0,1
+            else
+                rlRun "powerprofilesctl set balanced" 0,1
+            fi
+            sleep 2
+            rlRun "powerprofilesctl get"
+            rlRun "powerprofilesctl set ${ORIG_PROFILE}"
+            sleep 2
         else
-            rlRun "powerprofilesctl set balanced" 0,1
+            rlRun "powerprofilesctl get"
         fi
-        sleep 2
-        rlRun "powerprofilesctl get"
-        rlRun "powerprofilesctl set ${ORIG_PROFILE}"
-        sleep 2
         rlRun "powerprofilesctl launch echo" 0,1
         rlSEService - ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "stop status" 1
     rlPhaseEnd

                 reply	other threads:[~2026-09-11 13:23 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913300659.1.4783327201548491590.tests-selinux-06e24b7df478@fedoraproject.org \
    --to=sbroz@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox